{
    attributes = (
        {
            columnName = "ASS_CODE"; 
            externalType = VARCHAR2; 
            name = assCode; 
            valueClassName = NSString; 
            valueType = S; 
            width = 12; 
        }, 
        {
            columnName = "ASS_ID"; 
            externalType = NUMBER; 
            name = assId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ASS_LIBELLE"; 
            externalType = VARCHAR2; 
            name = assLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ASS_LOCALE"; 
            externalType = CHAR; 
            name = assLocale; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ASS_RACINE"; 
            externalType = VARCHAR2; 
            name = assRacine; 
            valueClassName = NSString; 
            valueType = S; 
            width = 1; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_CREATION"; 
            externalType = DATE; 
            name = dCreation; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_FERMETURE"; 
            externalType = DATE; 
            name = dFermeture; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_MODIFICATION"; 
            externalType = DATE; 
            name = dModification; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "D_OUVERTURE"; 
            externalType = DATE; 
            name = dOuverture; 
            valueClassName = NSCalendarDate; 
            valueType = D; 
        }, 
        {
            allowsNull = Y; 
            columnName = "TAS_ID"; 
            externalType = NUMBER; 
            name = tasId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (assCode, assId, tasId); 
    className = "org.cocktail.fwkcktlpersonne.common.metier.EOAssociation"; 
    classProperties = (
        assCode, 
        assLibelle, 
        assLocale, 
        assRacine, 
        dCreation, 
        dFermeture, 
        dModification, 
        dOuverture, 
        tasId, 
        toAssociationReseauFils, 
        toAssociationReseauPeres, 
        toTypeAssociation
    ); 
    externalName = "GRHUM.ASSOCIATION"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            assLibelle, 
            assLocale, 
            assRacine, 
            dCreation, 
            dFermeture, 
            dModification, 
            dOuverture, 
            toAssociationReseauFils, 
            toAssociationReseauPeres, 
            toTypeAssociation
        ); 
        "_javaClientClassName" = "org.cocktail.fwkcktlpersonne.common.metier.EOAssociation"; 
    }; 
    name = "Fwkpers_Association"; 
    primaryKeyAttributes = (assId); 
    relationships = (
        {
            destination = "Fwkpers_AssociationReseau"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = assIdFils; sourceAttribute = assId; }); 
            name = toAssociationReseauFils; 
            numberOfToManyFaultsToBatchFetch = 20; 
        }, 
        {
            destination = "Fwkpers_AssociationReseau"; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = assIdPere; sourceAttribute = assId; }); 
            name = toAssociationReseauPeres; 
            numberOfToManyFaultsToBatchFetch = 20; 
        }, 
        {
            destination = "FwkPers_TypeAssociation"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tasId; sourceAttribute = tasId; }); 
            name = toTypeAssociation; 
        }
    ); 
}
